Brushguy

Hi there,

I've happily used Spine for years and have had no major issues with it. I've been sticking with Spine 3.7 primarily because it's the latest version that Game Maker Studio 2 supports.

Recently, I started getting the following error message when launching version 3.7: "Sorry, the server could not be contacted. Please check your internet connection and any firewall settings that may be blocking Spine."

As far as I'm aware, nothing changed on my machine that would cause this. Windows is allowing Spine through the firewall and I'm not using a proxy. I tried updating to Spine 3.8, and that version of Spine launched without any problems or mention of network issues. However, as I previously stated, I can't use version 3.8 because it's currently incompatible with GMS2.

Let me know if you all have any ideas for what might be going on with Spine 3.7. Also let me know if there is an error log being written out somewhere that I could provide.
アバター
Brushguy
  • 記事: 2

Erika

Hello!
If you haven't launched or updated Spine in the last semester, this may be connected to a certificate expiration. You may need to download and reinstall Spine, else it can't reach the server. Sorry for the trouble! We have ensured this problem won't happen again.

If after redownloading the installer, you still encounter problems, could you please post your spine.log file? The forum will redact your personal information.

Windows: <user home folder>\Spine\spine.log
Mac: <user home folder>/Library/Application Support/Spine/spine.log
Linux: <user home folder>/.spine/spine.log

Of course, after getting the latest installer, you can switch back to your preferred Spine version in the settings:
Settings - Spine User Guide: Version
アバター
Erika

Erikari
  • 記事: 2555

Brushguy

Ah, I didn't realize you could roll Spine back to an older version from within the settings. Thanks for pointing me in the right direction!

For future reference to anyone else who might be experiencing the same issue, these were my exact steps to resolve it:
1. I downloaded the latest Spine with the updated certificate.
2. I opened Settings in the main menu of Spine, and switched Spine version back to 3.7.94.
3. I restarted Spine and allowed it to download 3.7.94.
4. Finally, I tried exporting one of my animations and verified GMS2 was able to import it successfully.
アバター
Brushguy
  • 記事: 2


Return to Editor